1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Install Linux

Discussion in 'Installing Linux' started by ChristopherValenti12, Jul 27, 2018.

  1. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48
    Linux Mint 19.1 refuses to install VLC. After Software Manager found the update for VLC (it was not listed at first) it "runs" easily but refuses to install VLC.

    SOS, unfortunately. Worse, I see a message from Bla bla that says "VLC in Mint 19.1 works flawlessly."
  2. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48
    Thank you Dan. What's the Data mini-ribbon connector called? Please. I don't have an extra.
  3. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48
    Don't know if this will help. Thank you a million times for trying to!


    george@george-System-Product-Name:~$ sudo apt-get update
    [sudo] password for george:
    Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
    Hit:2 https://deb.opera.com/opera-stable stable InRelease
    Hit:3 http://dl.google.com/linux/chrome/deb stable Release
    Ign:4 http://packages.linuxmint.com tessa InRelease
    Hit:5 http://packages.linuxmint.com tessa Release
    Get:6 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
    Hit:7 http://archive.ubuntu.com/ubuntu bionic InRelease
    Hit:8 http://archive.canonical.com/ubuntu bionic InRelease
    Get:9 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
    Get:12 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
    Fetched 252 kB in 1s (201 kB/s)
    Reading package lists... Done
    george@george-System-Product-Name:~$ sudo apt-cache search VLC
    browser-plugin-vlc - multimedia plugin for web browsers based on VLC
    cubemap - scalable video reflector, designed to be used with VLC
    dvblast - Simple and powerful dvb-streaming application
    forensics-extra-gui - Forensics Environment - extra GUI components (metapackage)
    fp-units-multimedia - Free Pascal - multimedia units dependency package
    fp-units-multimedia-3.0.4 - Free Pascal - multimedia units
    freeplayer - wrapper around vlc for French ADSL FreeBox
    freetuxtv - Internet television and radio player
    getstream - DVB streaming application
    hdhomerun-config - Configuration utility for Silicon Dust HD HomeRun
    hdhomerun-config-gui - GUI Configuration utility for Silicon Dust HD HomeRun
    kaffeine - versatile media player for KDE
    laditools - Linux Audio Desktop Integration Tools
    libbluray-bdj - Blu-ray Disc Java support library (BD-J library)
    libbluray-bin - Blu-ray disc playback support library (tools)
    libbluray-dev - Blu-ray disc playback support library (development files)
    libbluray-doc - Blu-ray disc playback support library (documentation)
    libbluray2 - Blu-ray disc playback support library (shared library)
    libhdhomerun-dev - Development library for Silicon Dust HD HomeRun
    libhdhomerun4 - Library for Silicon Dust HD HomeRun
    libvcdinfo-dev - library to extract information from VideoCD (development files)
    libvcdinfo0 - library to extract information from VideoCD
    libvlc-bin - tools for VLC's base library
    libvlc-dev - development files for libvlc
    libvlc5 - multimedia player and streamer library
    libvlccore-dev - development files for libvlccore
    libvlccore9 - base library for VLC and its modules
    mimms - mms (e.g. mms://) stream downloader
    mpris-remote - command-line interface for mpris compatible media players
    phonon-backend-vlc - Phonon VLC backend
    phonon4qt5-backend-vlc - Phonon4Qt5 VLC backend
    pidgin-mpris - sets your available message to your currently playing track
    python3-pafy - Download videos and retrieve metadata from YouTube
    python3-streamlink - Python module for extracting video streams from various websites
    python3-streamlink-doc - CLI for extracting video streams from various websites (documentation)
    smtube - YouTube videos browser
    streamlink - CLI for extracting video streams from various websites to a video player
    vlc - multimedia player and streamer
    vlc-bin - binaries from VLC
    vlc-data - common data for VLC
    vlc-l10n - translations for VLC
    vlc-plugin-access-extra - multimedia player and streamer (extra access plugins)
    vlc-plugin-base - multimedia player and streamer (base plugins)
    vlc-plugin-fluidsynth - FluidSynth plugin for VLC
    vlc-plugin-jack - JACK audio plugins for VLC
    vlc-plugin-notify - LibNotify plugin for VLC
    vlc-plugin-qt - multimedia player and streamer (Qt plugin)
    vlc-plugin-samba - Samba plugin for VLC
    vlc-plugin-skins2 - multimedia player and streamer (Skins2 plugin)
    vlc-plugin-svg - SVG plugin for VLC
    vlc-plugin-video-output - multimedia player and streamer (video output plugins)
    vlc-plugin-video-splitter - multimedia player and streamer (video splitter plugins)
    vlc-plugin-visualization - multimedia player and streamer (visualization plugins)
    vlc-plugin-vlsub - VLC extension to download subtitles from opensubtitles.org
    vlc-plugin-zvbi - transitional dummy package
    winetricks - package manager for Wine to install software easily
    x264 - video encoder for the H.264/MPEG-4 AVC standard
    libdvd-pkg - DVD-Video playing library - installer
    george@george-System-Product-Name:~$ vlc
    VLC media player 3.0.4 Vetinari (revision 3.0.4-0-gf615db6332)
    [0000563fea035570] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.

    Break.
    Break. At about this point a full VLC window was launched. The too familiar orange traffic cone was presented. I loaded a DVD. VLC wan't presented as a choice in the drop down window. Chose "Media Player." No dice. SOS.
    End break.



    qt5ct: using qt5ct plugin
    qt5ct: D-Bus global menu: no
    qt5ct: D-Bus system tray: no
    [0000563fea0394e0] main playlist: playlist is empty
    QObject::~QObject: Timers cannot be stopped from another thread
    george@george-System-Product-Name:~$ cvlc
    VLC media player 3.0.4 Vetinari (revision 3.0.4-0-gf615db6332)
    [0000559b3f9ddbe0] dummy interface: using the dummy interface module...
    [0000559b3f9094e0] main playlist: playlist is empty
  4. Kaitain

    Kaitain Member

    Joined:
    Jul 24, 2016
    Messages:
    250
    Likes Received:
    23
    Trophy Points:
    18
    OK, we're closer. VLC is actually installed, just, for whatever reason, not working correctly. Can I see which vlc packages you have installed already? Run

    dpkg -l | grep -i vlc

    ...and post up the output.
  5. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48
    Thank you!

    george@george-System-Product-Name:~$ dpkg -l | grep i vlc
    grep: vlc: No such file or directory
    george@george-System-Product-Name:~$

    This reminds me of the old Elvis song "Return to Sender," product unknown.
  6. Kaitain

    Kaitain Member

    Joined:
    Jul 24, 2016
    Messages:
    250
    Likes Received:
    23
    Trophy Points:
    18
    You missed a "-"

    dpkg -l | grep -i vlc
  7. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48
    Sorry! By the way, thanks a million for your help with this problem!

    george@george-System-Product-Name:~$ dpkg -l | grep -i vlc
    ii libvlc-bin:amd64 3.0.4-1ubuntu0.2 amd64 tools for VLC's base library
    ii libvlc5:amd64 3.0.4-1ubuntu0.2 amd64 multimedia player and streamer library
    ii libvlccore9:amd64 3.0.4-1ubuntu0.2 amd64 base library for VLC and its modules
    ii vlc-bin 3.0.4-1ubuntu0.2 amd64 binaries from VLC
    ii vlc-data 3.0.4-1ubuntu0.2 all common data for VLC
    ii vlc-plugin-base:amd64 3.0.4-1ubuntu0.2 amd64 multimedia player and streamer (base plugins)
    ii vlc-plugin-qt:amd64 3.0.4-1ubuntu0.2 amd64 multimedia player and streamer (Qt plugin)
    ii vlc-plugin-video-output:amd64 3.0.4-1ubuntu0.2 amd64 multimedia player and streamer (video output plugins)
    george@george-System-Product-Name:~$
  8. Kaitain

    Kaitain Member

    Joined:
    Jul 24, 2016
    Messages:
    250
    Likes Received:
    23
    Trophy Points:
    18
    OK, so VLC itself seems to be complete. Now I vaguely recall from the release notes that since Mint 18, it no longer installs certain libraries and codecs by default. We can just instruct the system to install them - if they're already installed, it'll just skip the packages safely.

    sudo apt-get install mint-meta-codecs libdvdcss2
  9. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48

    Holy fudge mo moto, Batman, that's a long list! Muchas gracias good sir!

    george@george-System-Product-Name:~$ sudo apt-get install mint-meta-codecs libdvdcss2
    [sudo] password for george:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
    libavdevice57 libdbus-glib1.0-cil libdbus1.0-cil libgdata2.1-cil
    libgkeyfile1.0-cil libgtk-sharp-beans-cil libgudev1.0-cil libllvm7
    libmono-data-tds4.0-cil libmono-system-data4.0-cil
    libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil
    libmono-system-runtime-serialization4.0-cil
    libmono-system-servicemodel-internals0.0-cil
    libmono-system-transactions4.0-cil libmono-system-xml-linq4.0-cil
    libmono-zeroconf1.0-cil libnewtonsoft-json5.0-cil libnotify0.4-cil
    libsdl2-2.0-0 libtaglib2.1-cil libuchardet0 libwnck-common libwnck22
    linux-headers-4.15.0-48 linux-headers-4.15.0-48-generic
    linux-headers-4.15.0-50 linux-headers-4.15.0-50-generic
    linux-headers-4.15.0-51 linux-headers-4.15.0-51-generic
    linux-image-4.15.0-48-generic linux-image-4.15.0-50-generic
    linux-image-4.15.0-51-generic linux-modules-4.15.0-48-generic
    linux-modules-4.15.0-50-generic linux-modules-4.15.0-51-generic
    linux-modules-extra-4.15.0-48-generic linux-modules-extra-4.15.0-50-generic
    linux-modules-extra-4.15.0-51-generic
    Use 'sudo apt autoremove' to remove them.
    The following additional packages will be installed:
    adobe-flashplugin cabextract chromium-codecs-ffmpeg-extra gstreamer1.0-libav
    gstreamer1.0-vaapi libavcodec-extra libavcodec-extra57 libhal1-flash
    libmspack0 libunshield0 unrar unshield vlc vlc-l10n vlc-plugin-notify
    Suggested packages:
    x-ttcidfont-conf msttcorefonts ttf-bitstream-vera | ttf-dejavu
    ttf-xfree86-nonfree xfs libnspr4-0d libnss3-1d gstreamer1.0-vaapi-doc
    Recommended packages:
    adobe-flash-properties-gtk | adobe-flash-properties-kde vlc-plugin-samba
    vlc-plugin-skins2 vlc-plugin-video-splitter vlc-plugin-visualization
    The following packages will be REMOVED:
    libavcodec57
    The following NEW packages will be installed:
    adobe-flashplugin cabextract chromium-codecs-ffmpeg-extra gstreamer1.0-libav
    gstreamer1.0-vaapi libavcodec-extra libavcodec-extra57 libdvdcss2
    libhal1-flash libmspack0 libunshield0 mint-meta-codecs unrar unshield vlc
    vlc-l10n vlc-plugin-notify
    0 upgraded, 17 newly installed, 1 to remove and 0 not upgraded.
    Need to get 21.9 MB/21.9 MB of archives.
    After this operation, 80.5 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://archive.canonical.com/ubuntu bionic/partner amd64 adobe-flashplugin amd64 1:20190709.1-0ubuntu0.18.04.1 [9,819 kB]
    Get:2 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libavcodec-extra57 amd64 7:3.4.6-0ubuntu0.18.04.1 [4,591 kB]
    Get:3 http://packages.linuxmint.com tessa/import amd64 libdvdcss2 amd64 1.4.2-dmo1 [56.9 kB]
    Get:4 http://packages.linuxmint.com tessa/main amd64 mint-meta-codecs all 2018.11.28 [5,316 B]
    Get:5 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 chromium-codecs-ffmpeg-extra amd64 75.0.3770.90-0ubuntu0.18.04.1 [1,112 kB]
    Get:6 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libmspack0 amd64 0.6-3ubuntu0.2 [37.4 kB]
    Get:7 http://archive.ubuntu.com/ubuntu bionic/universe amd64 cabextract amd64 1.6-1.1 [21.8 kB]
    Get:8 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 gstreamer1.0-libav amd64 1.14.4-0ubuntu1~ubuntu18.04.1 [121 kB]
    Get:9 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 gstreamer1.0-vaapi amd64 1.14.4-1~ubuntu18.04.1 [310 kB]
    Get:10 http://archive.ubuntu.com/ubuntu bionic/universe amd64 libunshield0 amd64 1.4.2-1 [20.8 kB]
    Get:11 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 libavcodec-extra all 7:3.4.6-0ubuntu0.18.04.1 [14.3 kB]
    Get:12 http://archive.ubuntu.com/ubuntu bionic/universe amd64 libhal1-flash amd64 0.3.3-2 [11.4 kB]
    Get:13 http://archive.ubuntu.com/ubuntu bionic/multiverse amd64 unrar amd64 1:5.5.8-1 [129 kB]
    Get:14 http://archive.ubuntu.com/ubuntu bionic/universe amd64 unshield amd64 1.4.2-1 [10.2 kB]
    Get:15 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 vlc-l10n all 3.0.4-1ubuntu0.2 [5,638 kB]
    Get:16 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 vlc-plugin-notify amd64 3.0.4-1ubuntu0.2 [18.3 kB]
    Fetched 21.9 MB in 5s (4,264 kB/s)
    dpkg: libavcodec57:amd64: dependency problems, but removing anyway as you requested:
    vlc-plugin-base:amd64 depends on libavcodec57 (>= 7:3.4.4) | libavcodec-extra57 (>= 7:3.4.4); however:
    Package libavcodec57:amd64 is to be removed.
    Package libavcodec-extra57 is not installed.
    libavformat57:amd64 depends on libavcodec57 (>= 7:3.4.6) | libavcodec-extra57 (>= 7:3.4.6); however:
    Package libavcodec57:amd64 is to be removed.
    Package libavcodec-extra57 is not installed.
    vlc-plugin-video-output:amd64 depends on libavcodec57 (>= 7:3.4.4) | libavcodec-extra57 (>= 7:3.4.4); however:
    Package libavcodec57:amd64 is to be removed.
    Package libavcodec-extra57 is not installed.
    libavfilter6:amd64 depends on libavcodec57 (>= 7:3.4.6) | libavcodec-extra57 (>= 7:3.4.6); however:
    Package libavcodec57:amd64 is to be removed.
    Package libavcodec-extra57 is not installed.
    libgegl-0.3-0:amd64 depends on libavcodec57 (>= 7:3.4.2) | libavcodec-extra57 (>= 7:3.4.2); however:
    Package libavcodec57:amd64 is to be removed.
    Package libavcodec-extra57 is not installed.
    libchromaprint1:amd64 depends on libavcodec57 (>= 7:3.4.1) | libavcodec-extra57 (>= 7:3.4.1); however:
    Package libavcodec57:amd64 is to be removed.
    Package libavcodec-extra57 is not installed.
    libavdevice57:amd64 depends on libavcodec57 (>= 7:3.4.6) | libavcodec-extra57 (>= 7:3.4.6); however:
    Package libavcodec57:amd64 is to be removed.
    Package libavcodec-extra57 is not installed.

    (Reading database ... 428536 files and directories currently installed.)
    Removing libavcodec57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
    Selecting previously unselected package libavcodec-extra57:amd64.
    (Reading database ... 428531 files and directories currently installed.)
    Preparing to unpack .../00-libavcodec-extra57_7%3a3.4.6-0ubuntu0.18.04.1_amd64.deb ...
    Unpacking libavcodec-extra57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
    Selecting previously unselected package chromium-codecs-ffmpeg-extra.
    Preparing to unpack .../01-chromium-codecs-ffmpeg-extra_75.0.3770.90-0ubuntu0.18.04.1_amd64.deb ...
    Unpacking chromium-codecs-ffmpeg-extra (75.0.3770.90-0ubuntu0.18.04.1) ...
    Selecting previously unselected package adobe-flashplugin.
    Preparing to unpack .../02-adobe-flashplugin_1%3a20190709.1-0ubuntu0.18.04.1_amd64.deb ...
    Unpacking adobe-flashplugin (1:20190709.1-0ubuntu0.18.04.1) ...
    Selecting previously unselected package libmspack0:amd64.
    Preparing to unpack .../03-libmspack0_0.6-3ubuntu0.2_amd64.deb ...
    Unpacking libmspack0:amd64 (0.6-3ubuntu0.2) ...
    Selecting previously unselected package cabextract.
    Preparing to unpack .../04-cabextract_1.6-1.1_amd64.deb ...
    Unpacking cabextract (1.6-1.1) ...
    Selecting previously unselected package gstreamer1.0-libav:amd64.
    Preparing to unpack .../05-gstreamer1.0-libav_1.14.4-0ubuntu1~ubuntu18.04.1_amd64.deb ...
    Unpacking gstreamer1.0-libav:amd64 (1.14.4-0ubuntu1~ubuntu18.04.1) ...
    Selecting previously unselected package gstreamer1.0-vaapi:amd64.
    Preparing to unpack .../06-gstreamer1.0-vaapi_1.14.4-1~ubuntu18.04.1_amd64.deb ...
    Unpacking gstreamer1.0-vaapi:amd64 (1.14.4-1~ubuntu18.04.1) ...
    Selecting previously unselected package libdvdcss2:amd64.
    Preparing to unpack .../07-libdvdcss2_1.4.2-dmo1_amd64.deb ...
    Unpacking libdvdcss2:amd64 (1.4.2-dmo1) ...
    Selecting previously unselected package libunshield0:amd64.
    Preparing to unpack .../08-libunshield0_1.4.2-1_amd64.deb ...
    Unpacking libunshield0:amd64 (1.4.2-1) ...
    Selecting previously unselected package libavcodec-extra.
    Preparing to unpack .../09-libavcodec-extra_7%3a3.4.6-0ubuntu0.18.04.1_all.deb ...
    Unpacking libavcodec-extra (7:3.4.6-0ubuntu0.18.04.1) ...
    Selecting previously unselected package libhal1-flash.
    Preparing to unpack .../10-libhal1-flash_0.3.3-2_amd64.deb ...
    Unpacking libhal1-flash (0.3.3-2) ...
    Selecting previously unselected package unrar.
    Preparing to unpack .../11-unrar_1%3a5.5.8-1_amd64.deb ...
    Unpacking unrar (1:5.5.8-1) ...
    Selecting previously unselected package unshield.
    Preparing to unpack .../12-unshield_1.4.2-1_amd64.deb ...
    Unpacking unshield (1.4.2-1) ...
    Selecting previously unselected package vlc.
    Preparing to unpack .../13-vlc_3.0.4-1ubuntu0.2_amd64.deb ...
    Unpacking vlc (3.0.4-1ubuntu0.2) ...
    Selecting previously unselected package vlc-l10n.
    Preparing to unpack .../14-vlc-l10n_3.0.4-1ubuntu0.2_all.deb ...
    Unpacking vlc-l10n (3.0.4-1ubuntu0.2) ...
    Selecting previously unselected package vlc-plugin-notify:amd64.
    Preparing to unpack .../15-vlc-plugin-notify_3.0.4-1ubuntu0.2_amd64.deb ...
    Unpacking vlc-plugin-notify:amd64 (3.0.4-1ubuntu0.2) ...
    Selecting previously unselected package mint-meta-codecs.
    Preparing to unpack .../16-mint-meta-codecs_2018.11.28_all.deb ...
    Unpacking mint-meta-codecs (2018.11.28) ...
    Setting up unrar (1:5.5.8-1) ...
    update-alternatives: using /usr/bin/unrar-nonfree to provide /usr/bin/unrar (unrar) in auto mode
    Setting up libmspack0:amd64 (0.6-3ubuntu0.2) ...
    Setting up libhal1-flash (0.3.3-2) ...
    Processing triggers for mime-support (3.60ubuntu1) ...
    Processing triggers for desktop-file-utils (0.23+linuxmint5) ...
    Setting up vlc (3.0.4-1ubuntu0.2) ...
    Setting up vlc-l10n (3.0.4-1ubuntu0.2) ...
    Setting up libavcodec-extra57:amd64 (7:3.4.6-0ubuntu0.18.04.1) ...
    Processing triggers for mintsystem (8.4.2) ...
    Setting up cabextract (1.6-1.1) ...
    Setting up libdvdcss2:amd64 (1.4.2-dmo1) ...
    Processing triggers for libc-bin (2.27-3ubuntu1) ...
    Processing triggers for libvlc-bin:amd64 (3.0.4-1ubuntu0.2) ...
    Setting up gstreamer1.0-vaapi:amd64 (1.14.4-1~ubuntu18.04.1) ...
    Setting up chromium-codecs-ffmpeg-extra (75.0.3770.90-0ubuntu0.18.04.1) ...
    Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
    Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
    Setting up vlc-plugin-notify:amd64 (3.0.4-1ubuntu0.2) ...
    Processing triggers for hicolor-icon-theme (0.17-2) ...
    Setting up adobe-flashplugin (1:20190709.1-0ubuntu0.18.04.1) ...
    update-alternatives: using /usr/lib/adobe-flashplugin/libflashplayer.so to provide /usr/lib/mozilla/plugins/flashplugin-alternative.so (mozilla-flashplugin) in auto mode
    Setting up libunshield0:amd64 (1.4.2-1) ...
    Setting up gstreamer1.0-libav:amd64 (1.14.4-0ubuntu1~ubuntu18.04.1) ...
    Setting up unshield (1.4.2-1) ...
    Setting up libavcodec-extra (7:3.4.6-0ubuntu0.18.04.1) ...
    Setting up mint-meta-codecs (2018.11.28) ...
    Processing triggers for libc-bin (2.27-3ubuntu1) ...
    george@george-System-Product-Name:~$


    Break
    Looks like something should have been changed after all. Thank you Kaitain!
  10. Kaitain

    Kaitain Member

    Joined:
    Jul 24, 2016
    Messages:
    250
    Likes Received:
    23
    Trophy Points:
    18
    OK, so now see if you can play DVDs
  11. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48
    It works!!

    THANK YOU KAITAIN! May manifold blessings be upon your house for seven generations and seven more! Seriously, you made my month!

    Thank you for going to all that trouble to help a Member out!
  12. Kaitain

    Kaitain Member

    Joined:
    Jul 24, 2016
    Messages:
    250
    Likes Received:
    23
    Trophy Points:
    18
    Are you happy at this point, or do you need to look at nVidia drivers for gaming as well?
    cloasters likes this.
  13. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48
    Thank you greatest of Linux understanders! No, I'm supremely happy being able to play DVD's!! Summer is almost here in the Great White North (well, we are very close to Canada) which means watching the big tv becomes problematic thanks to Mr Sun (all hail!) sometimes. The PC faces east and is pretty far from the big window (faces south) that the tv is too near.
  14. Kaitain

    Kaitain Member

    Joined:
    Jul 24, 2016
    Messages:
    250
    Likes Received:
    23
    Trophy Points:
    18
    Great stuff! Using a different screen and still seeing some natural light is far superior to just closing the curtains - on that path lies madness

    If I have any spare brainpower, I'll have a think about D~'s 4K problem. I think it's related to changes in the nvidia drivers between 340 and 370 regarding its handling of screen EDIDs.
  15. Daniel~

    Daniel~ Chief BBS Administrator Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    6,452
    Likes Received:
    98
    Trophy Points:
    48
    Location:
    Greenwater WA
    Home page:
    So like. is anyone working on getting NVIDIA drivers back on track?
    You know where they can properly install a wide choice of working drivers.

    In as much as they all work for me now, but limit my irresolution to 1920x1080
    It can't be that hard to mend.??

    And oh!
    Thank you K! ":O}
  16. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48


    "We sell no wine before its time" said Orson Wells in advertisements for a California winery years ago. Seems that all tv's for sale nowadays are indeed 4K capable. But does this mean that PC's and monitors have to be 4K capable now too?

    Dan, are you using your giant tv for a monitor nowadays?
  17. cloasters

    cloasters Well-Known Member

    Joined:
    Jul 3, 2013
    Messages:
    2,763
    Likes Received:
    51
    Trophy Points:
    48

    Thank you very, very much for your detailed and exhaustive help in making my PC DVD-able again Kaitain!
  18. Daniel~

    Daniel~ Chief BBS Administrator Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    6,452
    Likes Received:
    98
    Trophy Points:
    48
    Location:
    Greenwater WA
    Home page:
    Alas after down sizing to our trailer..There wasn't a single wall it would fit. So We gave it to one who owns a bigger trailer. While my 60 inch plasma was a real gem at 1080 my new 46 inch gives me a computer monitor that displays 4096x 2160.

    So yeah, they make great monitors. ":O}
  19. Kaitain

    Kaitain Member

    Joined:
    Jul 24, 2016
    Messages:
    250
    Likes Received:
    23
    Trophy Points:
    18
    To some extent, they do. nVidia only provides a single kernel module for all its generations of graphics card. In trying to support older cards, it will eventually get too big, too unwieldy, too hard to maintain and thus too bug prone to support all older generations of card. So, nVidia's decision to cut off support for older cards at particular driver levels is practical, and beneficial for owners of newer cards.

    At some point, the abilities of your card's GPU are exhausted - there are no new features to exploit, no new opengl instructions to implement and thus no benefit to newer drivers. As you've discovered, changes needed by newer cards may introduce regressions.

    Anyway:

    sudo inxi -Fx

    ... and paste the output. Also, let me know the exact make and model number of your TV/monitor.
    cloasters likes this.
  20. Daniel~

    Daniel~ Chief BBS Administrator Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    6,452
    Likes Received:
    98
    Trophy Points:
    48
    Location:
    Greenwater WA
    Home page:
    Don't get me wrong, old the 340's maybe but they do work rather well.
    So do ALL the drivers offer by Mint "Driver manger"
    The 340's are flawed only in that you can not uninstall them, the system freezes and I only know how to do a restore from back up, which works very well.":O}

    All other drivers from Nvidia work, install and and uninstall properly. But they are all flawed in that that give me a 1920X 1080 max resolution.

    daniel@daniel-System-Product-Name:~$ sudo inxi -Fx
    [sudo] password for daniel:
    System: Host: daniel-System-Product-Name Kernel: 4.15.0-54-generic x86_64 bits: 64
    compiler: gcc v: 7.4.0 Desktop: Cinnamon 4.0.10 Distro: Linux Mint 19.1 Tessa
    base: Ubuntu 18.04 bionic
    Machine: Type: Desktop Mobo: ASUSTeK model: SABERTOOTH Z77 v: Rev 1.xx serial: 120700388000702
    BIOS: American Megatrends v: 2104 date: 08/13/2013
    CPU: Topology: Quad Core model: Intel Core i7-2600K bits: 64 type: MT MCP
    arch: Sandy Bridge rev: 7 L2 cache: 8192 KiB
    flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 54574
    Speed: 1928 MHz min/max: 1600/4800 MHz Core speeds (MHz): 1: 1928 2: 3919 3: 2084
    4: 3984 5: 2464 6: 2404 7: 1809 8: 2411
    Graphics: Device-1: NVIDIA GK104 [GeForce GTX 670] vendor: eVga.com. driver: nvidia v: 340.107
    bus ID: 01:00.0
    Display: server: X.Org 1.19.6 driver: nvidia resolution: 4096x2160~30Hz
    OpenGL: renderer: GeForce GTX 670/PCIe/SSE2 v: 4.4.0 NVIDIA 340.107
    direct render: Yes
    Audio: Device-1: NVIDIA GK104 HDMI Audio vendor: eVga.com. driver: snd_hda_intel v: kernel
    bus ID: 01:00.1
    Sound Server: ALSA v: k4.15.0-54-generic
    Network: Device-1: Intel 82579V Gigabit Network vendor: ASUSTeK P8P67 Deluxe driver: e1000e
    v: 3.2.6-k port: f040 bus ID: 00:19.0
    IF: eno1 state: up speed: 1000 Mbps duplex: full mac: 30:85:a9:95:94:e6
    Drives: Local Storage: total: 788.08 GiB used: 433.92 GiB (55.1%)
    ID-1: /dev/sda vendor: OCZ model: VERTEX4 size: 238.47 GiB
    ID-2: /dev/sdb vendor: Corsair model: Force GT size: 83.85 GiB temp: 21 C
    ID-3: /dev/sdc vendor: Samsung model: SSD 850 EVO 500GB size: 465.76 GiB
    Partition: ID-1: / size: 218.03 GiB used: 93.02 GiB (42.7%) fs: ext4 dev: /dev/dm-0
    Sensors: System Temperatures: cpu: 29.8 C mobo: 27.8 C gpu: nvidia temp: 40 C
    Fan Speeds (RPM): cpu: 0
    Info: Processes: 247 Uptime: 1d 22h 59m Memory: 15.61 GiB used: 6.30 GiB (40.4%)
    Init: systemd runlevel: 5 Compilers: gcc: 7.4.0 Shell: bash v: 4.4.20 inxi: 3.0.27
    daniel@daniel-System-Product-Name:~$

    I have a HiSence
    H6D series smart TV
    46 inch
    a little over a yer old, bought at Walmart


    This shows my current Nvidia display

    Attached Files:

    Last edited: Jul 16, 2019 at 6:28 PM

Share This Page